質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.79%

pythonのパッケージをpipでインストールすることができません(windows)

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 5,892

score 17

前提・実現したいこと

python3.7.2において、pipを利用してインストールを行いたいのですが、

(例) pip install numpy

をコマンドプロンプトで実行すると以下のようなエラーが表示され、
インストールできません。(pathは通しています)

おそらくsslの問題だと思うのですが、こういった方面に詳しくなく、
いろいろ調べてみましたが解決できませんでした。
どうすればpipを用いてインストールを行えるようになるのか、
ご助言頂ければ幸いです。

宜しくお願いいたします。

発生している問題・エラーメッセージ

Collecting numpy
  Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None))
 after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFI
CATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certif
icate (_ssl.c:1056)'))': /simple/numpy/
  Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None))
 after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFI
CATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certif
icate (_ssl.c:1056)'))': /simple/numpy/
  Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None))
 after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFI
CATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certif
icate (_ssl.c:1056)'))': /simple/numpy/
  Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None))
 after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFI
CATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certif
icate (_ssl.c:1056)'))': /simple/numpy/
  Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None))
 after connection broken by 'SSLError(SSLCertVerificationError(1, '[SSL: CERTIFI
CATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certif
icate (_ssl.c:1056)'))': /simple/numpy/
  Could not fetch URL https://pypi.org/simple/numpy/: There was a problem confir
ming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max re
tries exceeded with url: /simple/numpy/ (Caused by SSLError(SSLCertVerificationE
rror(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to g
et local issuer certificate (_ssl.c:1056)'))) - skipping
  Could not find a version that satisfies the requirement numpy (from versions:
)
No matching distribution found for numpy
Could not fetch URL https://pypi.org/simple/pip/: There was a problem confirming
 the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retrie
s exceeded with url: /simple/pip/ (Caused by SSLError(SSLCertVerificationError(1
, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get loc
al issuer certificate (_ssl.c:1056)'))) - skipping

該当のソースコード

ソースコード

試したこと

ここに問題に対して試したことを記載してください。

補足情報(FW/ツールのバージョンなど)

windows8.1
python3.7.2

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • hayataka2049

    2018/12/19 18:43

    ネットワーク環境について教えてください。プロキシサーバなどはありますか?

    キャンセル

  • plk

    2018/12/19 20:32

    ありがとうございます。
    おそらくプロキシサーバーはないと思います。
    宜しくお願いいたします。

    キャンセル

  • otn

    2018/12/19 23:22

    3.7.2というのはリリース前版だと思いますが、リリース版の3.7.1ではどうでしょうか?

    キャンセル

  • plk

    2018/12/19 23:58

    ありがとうございます。
    3.7.1でも試しましたが結果は同じでした、、、

    そもそもpipを使わずにwebサイトからモジュール?をインストールしてimportで使用することは可能でしょうか?
    わからないことだらけで申し訳ありません。
    よろしくお願い致します。

    キャンセル

回答 1

checkベストアンサー

0

以下のサイトから該当するバージョンのファイルを直接ダウンロードしてインストールしてはいかがでしょうか。

https://pypi.org/project/numpy/#files

pip install ダウンロードしたファイル名でうまくいくはずです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/12/20 14:47

    ありがとうございます。
    無事インストールできました。
    pipの利便性は死んだままですが、パッケージが使えればOKです。

    ありがとうございました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.79%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る